---
Fuzzer filename: '/src/cups/ossfuzz/fuzz_cups.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/cups/ossfuzz/fuzz_cups.c'
      linkageType:     externalLinkage
      functionLinenumber: 25
      functionLinenumberEnd: 45
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         7
      ICount:          41
      EdgeCount:       9
      CyclomaticComplexity: 4
      functionsReached:
        - _cupsRasterExecPS
        - calloc
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz_cups.c:30,15'
          Dst:             calloc
        - Src:             'fuzz_cups.c:41,5'
          Dst:             _cupsRasterExecPS
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    6
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsArrayFind
      functionSourceFile: '/src/cups/cups/array.c'
      linkageType:     InternalLinkage
      functionLinenumber: 363
      functionLinenumberEnd: 420
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         29
      ICount:          162
      EdgeCount:       42
      CyclomaticComplexity: 15
      functionsReached:
        - cups_array_find
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'array.c:394,13'
          Dst:             cups_array_find
    - functionName:    cups_array_find
      functionSourceFile: '/src/cups/cups/array.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1223
      functionLinenumberEnd: 1313
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         39
      ICount:          213
      EdgeCount:       54
      CyclomaticComplexity: 17
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsArrayDelete
      functionSourceFile: '/src/cups/cups/array.c'
      linkageType:     InternalLinkage
      functionLinenumber: 258
      functionLinenumberEnd: 280
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         14
      ICount:          67
      EdgeCount:       18
      CyclomaticComplexity: 6
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsArrayRemove
      functionSourceFile: '/src/cups/cups/array.c'
      linkageType:     InternalLinkage
      functionLinenumber: 911
      functionLinenumberEnd: 949
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         28
      ICount:          169
      EdgeCount:       39
      CyclomaticComplexity: 13
      functionsReached:
        - cups_array_find
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'array.c:918,13'
          Dst:             cups_array_find
    - functionName:    _cupsRasterExecPS
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 506
      functionLinenumberEnd: 684
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         34
      ICount:          160
      EdgeCount:       42
      CyclomaticComplexity: 10
      functionsReached:
        - _cupsRasterAddError
        - cleartomark_stack
        - copy_stack
        - delete_stack
        - error_stack
        - index_stack
        - new_stack
        - pop_stack
        - roll_stack
        - scan_ps
        - setpagedevice
        - strdup
      functionUses:    1
      BranchProfiles:
        - Branch String:   'raster-interpret.c:545,5'
          Branch Sides:    []
      Callsites:
        - Src:             'raster-interpret.c:519,19'
          Dst:             strdup
        - Src:             'raster-interpret.c:521,5'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:525,13'
          Dst:             new_stack
        - Src:             'raster-interpret.c:527,5'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:538,17'
          Dst:             scan_ps
        - Src:             'raster-interpret.c:552,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:554,8'
          Dst:             cleartomark_stack
        - Src:             'raster-interpret.c:555,6'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:564,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:565,15'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:567,6'
          Dst:             copy_stack
        - Src:             'raster-interpret.c:577,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:578,4'
          Dst:             copy_stack
        - Src:             'raster-interpret.c:587,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:588,15'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:590,6'
          Dst:             index_stack
        - Src:             'raster-interpret.c:600,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:601,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:610,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:611,15'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:618,17'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:620,8'
          Dst:             roll_stack
        - Src:             'raster-interpret.c:631,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:632,4'
          Dst:             setpagedevice
        - Src:             'raster-interpret.c:643,11'
          Dst:             pop_stack
        - Src:             'raster-interpret.c:647,11'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:665,5'
          Dst:             error_stack
        - Src:             'raster-interpret.c:672,5'
          Dst:             delete_stack
        - Src:             'raster-interpret.c:677,3'
          Dst:             delete_stack
    - functionName:    strdup
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    new_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 893
      functionLinenumberEnd: 905
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         6
      ICount:          26
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - calloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:893,13'
          Dst:             calloc
        - Src:             'raster-interpret.c:898,19'
          Dst:             calloc
    - functionName:    scan_ps
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1048
      functionLinenumberEnd: 1401
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         182
      ICount:          875
      EdgeCount:       250
      CyclomaticComplexity: 70
      functionsReached:
        - __ctype_b_loc
        - _cupsStrScand
        - atoi
        - localeconv
        - push_stack
        - strchr
        - strcmp
        - strtol
        - tolower
      functionUses:    1
      BranchProfiles:
        - Branch String:   'raster-interpret.c:1084,3'
          Branch Sides:    []
      Callsites:
        - Src:             'raster-interpret.c:1067,15'
          Dst:             __ctype_b_loc
        - Src:             'raster-interpret.c:1212,36'
          Dst:             __ctype_b_loc
        - Src:             'raster-interpret.c:1221,14'
          Dst:             tolower
        - Src:             'raster-interpret.c:1223,10'
          Dst:             __ctype_b_loc
        - Src:             'raster-interpret.c:1230,9'
          Dst:             tolower
        - Src:             'raster-interpret.c:1273,14'
          Dst:             __ctype_b_loc
        - Src:             'raster-interpret.c:1297,9'
          Dst:             __ctype_b_loc
        - Src:             'raster-interpret.c:1306,11'
          Dst:             atoi
        - Src:             'raster-interpret.c:1315,31'
          Dst:             strtol
        - Src:             'raster-interpret.c:1318,11'
          Dst:             strchr
        - Src:             'raster-interpret.c:1318,44'
          Dst:             __ctype_b_loc
        - Src:             'raster-interpret.c:1324,50'
          Dst:             localeconv
        - Src:             'raster-interpret.c:1324,23'
          Dst:             _cupsStrScand
        - Src:             'raster-interpret.c:1349,8'
          Dst:             strchr
        - Src:             'raster-interpret.c:1349,38'
          Dst:             __ctype_b_loc
        - Src:             'raster-interpret.c:1362,16'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1367,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1372,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1374,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1376,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1378,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1380,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1382,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1384,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1386,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1388,14'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1400,11'
          Dst:             push_stack
    - functionName:    pop_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 915
      functionLinenumberEnd: 923
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          27
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    14
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cleartomark_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 697
      functionLinenumberEnd: 701
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          21
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - pop_stack
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:697,17'
          Dst:             pop_stack
    - functionName:    copy_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 716
      functionLinenumberEnd: 737
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         14
      ICount:          56
      EdgeCount:       18
      CyclomaticComplexity: 6
      functionsReached:
        - push_stack
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:729,10'
          Dst:             push_stack
    - functionName:    index_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 876
      functionLinenumberEnd: 880
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         5
      ICount:          31
      EdgeCount:       6
      CyclomaticComplexity: 3
      functionsReached:
        - push_stack
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:879,11'
          Dst:             push_stack
    - functionName:    roll_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 979
      functionLinenumberEnd: 1028
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         18
      ICount:          169
      EdgeCount:       24
      CyclomaticComplexity: 8
      functionsReached:
        - calloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:1004,17'
          Dst:             calloc
        - Src:             'raster-interpret.c:1017,17'
          Dst:             calloc
    - functionName:    setpagedevice
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1424
      functionLinenumberEnd: 1629
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         208
      ICount:          985
      EdgeCount:       311
      CyclomaticComplexity: 105
      functionsReached:
        - atoi
        - cupsCopyString
        - strcmp
        - strncmp
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:1478,10'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1479,7'
          Dst:             cupsCopyString
        - Src:             'raster-interpret.c:1480,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1481,7'
          Dst:             cupsCopyString
        - Src:             'raster-interpret.c:1482,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1483,7'
          Dst:             cupsCopyString
        - Src:             'raster-interpret.c:1484,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1485,7'
          Dst:             cupsCopyString
        - Src:             'raster-interpret.c:1486,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1488,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1490,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1492,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1494,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1496,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1508,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1510,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1512,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1514,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1516,16'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1517,16'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1529,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1531,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1533,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1535,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1537,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1539,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1541,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1557,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1559,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1561,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1563,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1565,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1567,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1570,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1572,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1574,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1576,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1578,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1580,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1582,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1585,15'
          Dst:             strncmp
        - Src:             'raster-interpret.c:1587,16'
          Dst:             atoi
        - Src:             'raster-interpret.c:1592,15'
          Dst:             strncmp
        - Src:             'raster-interpret.c:1594,16'
          Dst:             atoi
        - Src:             'raster-interpret.c:1599,15'
          Dst:             strncmp
        - Src:             'raster-interpret.c:1601,16'
          Dst:             atoi
        - Src:             'raster-interpret.c:1604,7'
          Dst:             cupsCopyString
        - Src:             'raster-interpret.c:1606,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1607,7'
          Dst:             cupsCopyString
        - Src:             'raster-interpret.c:1608,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1609,7'
          Dst:             cupsCopyString
        - Src:             'raster-interpret.c:1611,15'
          Dst:             strcmp
        - Src:             'raster-interpret.c:1613,7'
          Dst:             cupsCopyString
    - functionName:    error_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 859
      functionLinenumberEnd: 865
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         5
      ICount:          32
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached:
        - _cupsRasterAddError
        - error_object
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:859,3'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:862,5'
          Dst:             error_object
        - Src:             'raster-interpret.c:864,3'
          Dst:             _cupsRasterAddError
    - functionName:    delete_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 747
      functionLinenumberEnd: 749
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    error_object
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 759
      functionLinenumberEnd: 844
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         25
      ICount:          67
      EdgeCount:       49
      CyclomaticComplexity: 26
      functionsReached:
        - _cupsRasterAddError
      functionUses:    1
      BranchProfiles:
        - Branch String:   'raster-interpret.c:759,3'
          Branch Sides:    []
      Callsites:
        - Src:             'raster-interpret.c:762,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:766,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:770,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:775,4'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:777,4'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:781,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:785,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:789,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:793,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:797,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:801,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:805,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:809,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:813,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:817,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:821,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:825,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:829,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:833,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:837,2'
          Dst:             _cupsRasterAddError
        - Src:             'raster-interpret.c:841,2'
          Dst:             _cupsRasterAddError
    - functionName:    strcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    50
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strncmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    atoi
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    push_stack
      functionSourceFile: '/src/cups/cups/raster-interpret.c'
      linkageType:     InternalLinkage
      functionLinenumber: 937
      functionLinenumberEnd: 957
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          67
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - realloc
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-interpret.c:943,17'
          Dst:             realloc
    - functionName:    realloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __ctype_b_loc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    10
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tolower
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strtol
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strchr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    localeconv
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsFreeOptions
      functionSourceFile: '/src/cups/cups/options.c'
      linkageType:     InternalLinkage
      functionLinenumber: 163
      functionLinenumberEnd: 173
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          41
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - _cupsStrFree
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'options.c:168,5'
          Dst:             _cupsStrFree
        - Src:             'options.c:169,5'
          Dst:             _cupsStrFree
    - functionName:    _cupsRasterAddError
      functionSourceFile: '/src/cups/cups/raster-error.c'
      linkageType:     InternalLinkage
      functionLinenumber: 25
      functionLinenumberEnd: 87
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         15
      ICount:          136
      EdgeCount:       20
      CyclomaticComplexity: 7
      functionsReached:
        - _cupsGlobals
        - realloc
        - vsnprintf
      functionUses:    27
      BranchProfiles:  []
      Callsites:
        - Src:             'raster-error.c:25,25'
          Dst:             _cupsGlobals
        - Src:             'raster-error.c:37,11'
          Dst:             vsnprintf
        - Src:             'raster-error.c:62,14'
          Dst:             realloc
    - functionName:    vsnprintf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsCopyString
      functionSourceFile: '/src/cups/cups/string.c'
      linkageType:     InternalLinkage
      functionLinenumber: 102
      functionLinenumberEnd: 131
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         11
      ICount:          63
      EdgeCount:       15
      CyclomaticComplexity: 6
      functionsReached:
        - strlen
        - validate_end
      functionUses:    10
      BranchProfiles:  []
      Callsites:
        - Src:             'string.c:112,12'
          Dst:             strlen
        - Src:             'string.c:127,5'
          Dst:             validate_end
    - functionName:    strlen
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    validate_end
      functionSourceFile: '/src/cups/cups/string.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1132
      functionLinenumberEnd: 1164
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         26
      ICount:          100
      EdgeCount:       36
      CyclomaticComplexity: 12
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _cupsStrFree
      functionSourceFile: '/src/cups/cups/string.c'
      linkageType:     InternalLinkage
      functionLinenumber: 755
      functionLinenumberEnd: 795
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         9
      ICount:          42
      EdgeCount:       12
      CyclomaticComplexity: 5
      functionsReached:
        - cupsArrayFind
        - cupsArrayRemove
        - cupsMutexLock
        - cupsMutexUnlock
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'string.c:762,3'
          Dst:             cupsMutexLock
        - Src:             'string.c:766,34'
          Dst:             cupsArrayFind
        - Src:             'string.c:788,7'
          Dst:             cupsArrayRemove
        - Src:             'string.c:794,3'
          Dst:             cupsMutexUnlock
    - functionName:    _cupsStrScand
      functionSourceFile: '/src/cups/cups/string.c'
      linkageType:     InternalLinkage
      functionLinenumber: 855
      functionLinenumberEnd: 970
      functionDepth:   0
      returnType:      double
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         63
      ICount:          297
      EdgeCount:       89
      CyclomaticComplexity: 28
      functionsReached:
        - __ctype_b_loc
        - _cups_isspace
        - atof
        - cupsCopyString
        - strlen
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'string.c:862,10'
          Dst:             _cups_isspace
        - Src:             'string.c:873,10'
          Dst:             __ctype_b_loc
        - Src:             'string.c:894,7'
          Dst:             cupsCopyString
        - Src:             'string.c:895,18'
          Dst:             strlen
        - Src:             'string.c:907,12'
          Dst:             __ctype_b_loc
        - Src:             'string.c:948,12'
          Dst:             __ctype_b_loc
        - Src:             'string.c:969,11'
          Dst:             atof
    - functionName:    _cups_isspace
      functionSourceFile: '/src/cups/cups/./string-private.h'
      linkageType:     InternalLinkage
      functionLinenumber: 92
      functionLinenumberEnd: 93
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         7
      ICount:          23
      EdgeCount:       11
      CyclomaticComplexity: 6
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    atof
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      double
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsMutexLock
      functionSourceFile: '/src/cups/cups/thread.c'
      linkageType:     InternalLinkage
      functionLinenumber: 506
      functionLinenumberEnd: 507
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          5
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - pthread_mutex_lock
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'thread.c:506,3'
          Dst:             pthread_mutex_lock
    - functionName:    pthread_mutex_lock
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsMutexUnlock
      functionSourceFile: '/src/cups/cups/thread.c'
      linkageType:     InternalLinkage
      functionLinenumber: 517
      functionLinenumberEnd: 518
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          5
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - pthread_mutex_unlock
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'thread.c:517,3'
          Dst:             pthread_mutex_unlock
    - functionName:    pthread_mutex_unlock
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _cupsGlobals
      functionSourceFile: '/src/cups/cups/globals.c'
      linkageType:     InternalLinkage
      functionLinenumber: 84
      functionLinenumberEnd: 105
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         5
      ICount:          18
      EdgeCount:       6
      CyclomaticComplexity: 3
      functionsReached:
        - cups_globals_alloc
        - cups_globals_init
        - pthread_getspecific
        - pthread_once
        - pthread_setspecific
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'globals.c:84,3'
          Dst:             pthread_once
        - Src:             'globals.c:84,3'
          Dst:             cups_globals_init
        - Src:             'globals.c:91,32'
          Dst:             pthread_getspecific
        - Src:             'globals.c:97,15'
          Dst:             cups_globals_alloc
        - Src:             'globals.c:98,7'
          Dst:             pthread_setspecific
    - functionName:    cups_globals_init
      functionSourceFile: '/src/cups/cups/globals.c'
      linkageType:     InternalLinkage
      functionLinenumber: 491
      functionLinenumberEnd: 492
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         1
      ICount:          2
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - cups_globals_free
        - pthread_key_create
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'globals.c:491,3'
          Dst:             pthread_key_create
        - Src:             'globals.c:491,3'
          Dst:             cups_globals_free
    - functionName:    pthread_once
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pthread_getspecific
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cups_globals_alloc
      functionSourceFile: '/src/cups/cups/globals.c'
      linkageType:     InternalLinkage
      functionLinenumber: 176
      functionLinenumberEnd: 426
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         40
      ICount:          213
      EdgeCount:       56
      CyclomaticComplexity: 18
      functionsReached:
        - access
        - calloc
        - cupsCopyString
        - getauxval
        - getenv
        - getpwuid_r
        - getuid
        - snprintf
        - strdup
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'globals.c:176,33'
          Dst:             getenv
        - Src:             'globals.c:178,25'
          Dst:             calloc
        - Src:             'globals.c:299,22'
          Dst:             getenv
        - Src:             'globals.c:303,29'
          Dst:             getenv
        - Src:             'globals.c:304,22'
          Dst:             getenv
        - Src:             'globals.c:308,7'
          Dst:             getauxval
        - Src:             'globals.c:334,29'
          Dst:             getenv
        - Src:             'globals.c:337,31'
          Dst:             getenv
        - Src:             'globals.c:340,26'
          Dst:             getenv
        - Src:             'globals.c:342,28'
          Dst:             getenv
        - Src:             'globals.c:346,30'
          Dst:             getenv
        - Src:             'globals.c:349,26'
          Dst:             getenv
        - Src:             'globals.c:353,8'
          Dst:             getuid
        - Src:             'globals.c:356,22'
          Dst:             strdup
        - Src:             'globals.c:362,22'
          Dst:             strdup
        - Src:             'globals.c:376,16'
          Dst:             getuid
        - Src:             'globals.c:376,5'
          Dst:             getpwuid_r
        - Src:             'globals.c:379,7'
          Dst:             cupsCopyString
        - Src:             'globals.c:400,5'
          Dst:             snprintf
        - Src:             'globals.c:405,5'
          Dst:             snprintf
        - Src:             'globals.c:410,5'
          Dst:             snprintf
        - Src:             'globals.c:411,9'
          Dst:             access
        - Src:             'globals.c:412,7'
          Dst:             snprintf
        - Src:             'globals.c:417,59'
          Dst:             getuid
        - Src:             'globals.c:417,5'
          Dst:             snprintf
        - Src:             'globals.c:422,20'
          Dst:             strdup
    - functionName:    pthread_setspecific
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    getenv
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    10
      BranchProfiles:  []
      Callsites:       []
    - functionName:    getauxval
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    getuid
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    getpwuid_r
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    snprintf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    access
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cups_globals_free
      functionSourceFile: '/src/cups/cups/globals.c'
      linkageType:     InternalLinkage
      functionLinenumber: 441
      functionLinenumberEnd: 475
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         9
      ICount:          108
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - _cupsStrFree
        - _httpFreeCredentials
        - cupsArrayDelete
        - cupsFileClose
        - cupsFreeOptions
        - httpClose
        - regfree
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'globals.c:442,5'
          Dst:             _cupsStrFree
        - Src:             'globals.c:450,3'
          Dst:             cupsArrayDelete
        - Src:             'globals.c:451,3'
          Dst:             cupsArrayDelete
        - Src:             'globals.c:452,3'
          Dst:             cupsArrayDelete
        - Src:             'globals.c:454,3'
          Dst:             httpClose
        - Src:             'globals.c:456,3'
          Dst:             _httpFreeCredentials
        - Src:             'globals.c:458,3'
          Dst:             cupsFileClose
        - Src:             'globals.c:459,3'
          Dst:             cupsFileClose
        - Src:             'globals.c:460,3'
          Dst:             cupsFileClose
        - Src:             'globals.c:462,3'
          Dst:             cupsArrayDelete
        - Src:             'globals.c:463,3'
          Dst:             cupsArrayDelete
        - Src:             'globals.c:466,5'
          Dst:             regfree
        - Src:             'globals.c:470,3'
          Dst:             cupsFreeOptions
    - functionName:    pthread_key_create
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    regfree
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    httpClose
      functionSourceFile: '/src/cups/cups/http.c'
      linkageType:     InternalLinkage
      functionLinenumber: 306
      functionLinenumberEnd: 349
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         14
      ICount:          85
      EdgeCount:       19
      CyclomaticComplexity: 7
      functionsReached:
        - _httpDisconnect
        - _httpFreeCredentials
        - httpAddrFreeList
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'http.c:313,3'
          Dst:             _httpDisconnect
        - Src:             'http.c:319,3'
          Dst:             httpAddrFreeList
        - Src:             'http.c:346,3'
          Dst:             _httpFreeCredentials
    - functionName:    _httpDisconnect
      functionSourceFile: '/src/cups/cups/http.c'
      linkageType:     InternalLinkage
      functionLinenumber: 735
      functionLinenumberEnd: 741
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _httpTLSStop
        - httpAddrClose
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'http.c:736,5'
          Dst:             _httpTLSStop
        - Src:             'http.c:738,3'
          Dst:             httpAddrClose
    - functionName:    httpAddrClose
      functionSourceFile: '/src/cups/cups/http-addr.c'
      linkageType:     InternalLinkage
      functionLinenumber: 56
      functionLinenumberEnd: 66
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         7
      ICount:          30
      EdgeCount:       9
      CyclomaticComplexity: 4
      functionsReached:
        - close
        - unlink
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'http-addr.c:56,7'
          Dst:             close
        - Src:             'http-addr.c:62,13'
          Dst:             unlink
    - functionName:    close
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    unlink
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    httpAddrFreeList
      functionSourceFile: '/src/cups/cups/http-addrlist.c'
      linkageType:     InternalLinkage
      functionLinenumber: 459
      functionLinenumberEnd: 467
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          17
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _httpFreeCredentials
      functionSourceFile: '/src/cups/cups/./tls-openssl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1615
      functionLinenumberEnd: 1626
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         8
      ICount:          31
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - sk_X509_free
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             './tls-openssl.c:1624,3'
          Dst:             sk_X509_free
    - functionName:    sk_X509_free
      functionSourceFile: '/usr/include/openssl/x509.h'
      linkageType:     InternalLinkage
      functionLinenumber: 99
      functionLinenumberEnd: 99
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          5
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - OPENSSL_sk_free
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/usr/include/openssl/x509.h:99,1'
          Dst:             OPENSSL_sk_free
    - functionName:    OPENSSL_sk_free
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _httpTLSStop
      functionSourceFile: '/src/cups/cups/./tls-openssl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 2046
      functionLinenumberEnd: 2053
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          22
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - SSL_CTX_free
        - SSL_free
        - SSL_get_SSL_CTX
        - SSL_shutdown
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             './tls-openssl.c:2046,13'
          Dst:             SSL_get_SSL_CTX
        - Src:             './tls-openssl.c:2048,3'
          Dst:             SSL_shutdown
        - Src:             './tls-openssl.c:2049,3'
          Dst:             SSL_CTX_free
        - Src:             './tls-openssl.c:2050,3'
          Dst:             SSL_free
    - functionName:    SSL_get_SSL_CTX
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SSL_shutdown
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SSL_CTX_free
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SSL_free
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _cupsGetPassword
      functionSourceFile: '/src/cups/cups/usersys.c'
      linkageType:     InternalLinkage
      functionLinenumber: 939
      functionLinenumberEnd: 1047
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         46
      ICount:          238
      EdgeCount:       67
      CyclomaticComplexity: 23
      functionsReached:
        - _cupsGlobals
        - close
        - fflush
        - fputs
        - open64
        - printf
        - putchar
        - read
        - tcgetattr
        - tcsetattr
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'usersys.c:939,25'
          Dst:             _cupsGlobals
        - Src:             'usersys.c:944,14'
          Dst:             open64
        - Src:             'usersys.c:947,7'
          Dst:             tcgetattr
        - Src:             'usersys.c:949,5'
          Dst:             close
        - Src:             'usersys.c:958,7'
          Dst:             tcsetattr
        - Src:             'usersys.c:960,5'
          Dst:             close
        - Src:             'usersys.c:965,3'
          Dst:             printf
        - Src:             'usersys.c:966,3'
          Dst:             fflush
        - Src:             'usersys.c:973,23'
          Dst:             read
        - Src:             'usersys.c:991,9'
          Dst:             fputs
        - Src:             'usersys.c:994,9'
          Dst:             putchar
        - Src:             'usersys.c:1004,11'
          Dst:             fputs
        - Src:             'usersys.c:1008,9'
          Dst:             putchar
        - Src:             'usersys.c:1018,7'
          Dst:             putchar
        - Src:             'usersys.c:1022,7'
          Dst:             putchar
        - Src:             'usersys.c:1025,5'
          Dst:             fflush
        - Src:             'usersys.c:1028,3'
          Dst:             putchar
        - Src:             'usersys.c:1029,3'
          Dst:             fflush
        - Src:             'usersys.c:1032,3'
          Dst:             tcsetattr
        - Src:             'usersys.c:1033,3'
          Dst:             close
    - functionName:    open64
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tcgetattr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tcsetattr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - int
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    printf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    fflush
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    read
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - int
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    fputs
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    putchar
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cupsFileClose
      functionSourceFile: '/src/cups/cups/file.c'
      linkageType:     InternalLinkage
      functionLinenumber: 309
      functionLinenumberEnd: 395
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         37
      ICount:          232
      EdgeCount:       52
      CyclomaticComplexity: 17
      functionsReached:
        - close
        - cupsFileFlush
        - cups_write
        - deflate
        - deflateEnd
        - httpAddrClose
        - inflateEnd
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'file.c:314,14'
          Dst:             cupsFileFlush
        - Src:             'file.c:323,7'
          Dst:             inflateEnd
        - Src:             'file.c:338,8'
          Dst:             cups_write
        - Src:             'file.c:349,16'
          Dst:             deflate
        - Src:             'file.c:363,11'
          Dst:             cups_write
        - Src:             'file.c:367,7'
          Dst:             deflateEnd
        - Src:             'file.c:388,9'
          Dst:             httpAddrClose
        - Src:             'file.c:391,12'
          Dst:             close
    - functionName:    cupsFileFlush
      functionSourceFile: '/src/cups/cups/file.c'
      linkageType:     InternalLinkage
      functionLinenumber: 534
      functionLinenumberEnd: 558
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         12
      ICount:          65
      EdgeCount:       16
      CyclomaticComplexity: 6
      functionsReached:
        - cups_compress
        - cups_write
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'file.c:547,15'
          Dst:             cups_compress
        - Src:             'file.c:549,15'
          Dst:             cups_write
    - functionName:    inflateEnd
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cups_write
      functionSourceFile: '/src/cups/cups/file.c'
      linkageType:     InternalLinkage
      functionLinenumber: 2373
      functionLinenumberEnd: 2407
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         13
      ICount:          68
      EdgeCount:       17
      CyclomaticComplexity: 6
      functionsReached:
        - __errno_location
        - send
        - write
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             'file.c:2383,15'
          Dst:             send
        - Src:             'file.c:2385,15'
          Dst:             write
        - Src:             'file.c:2393,11'
          Dst:             __errno_location
        - Src:             'file.c:2393,30'
          Dst:             __errno_location
    - functionName:    deflate
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    deflateEnd
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    send
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        4
      argTypes:
        - int
        - 'N/A'
        - size_t
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    write
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - int
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __errno_location
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cups_compress
      functionSourceFile: '/src/cups/cups/file.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1896
      functionLinenumberEnd: 1921
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         12
      ICount:          90
      EdgeCount:       16
      CyclomaticComplexity: 6
      functionsReached:
        - crc32
        - cups_write
        - deflate
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'file.c:1896,13'
          Dst:             crc32
        - Src:             'file.c:1909,11'
          Dst:             cups_write
        - Src:             'file.c:1916,19'
          Dst:             deflate
    - functionName:    crc32
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - size_t
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
...
